Botan: Botan::Cert_Extension::CRL_Number Class Reference

Botan 1.10.16

Public Member Functions | List of all members
Botan::Cert_Extension::CRL_Number Class Reference

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_Number:

## Public Member Functions
CRL_Number * | copy () const
| CRL_Number ()
| CRL_Number (size_t n)
size_t | get_crl_number () const
OID | oid_of () const

## Detailed Description

CRL Number Extension

Definition at line 291 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ CRL_Number() [1/2]

Botan::Cert_Extension::CRL_Number::CRL_Number | ( |  | ) |
| inline

Definition at line 296 of file x509_ext.h.

296 : has_value(false), crl_number(0) {}

## ◆ CRL_Number() [2/2]

Botan::Cert_Extension::CRL_Number::CRL_Number | ( | size_t | n | ) |
| inline

Definition at line 297 of file x509_ext.h.

297 : has_value(true), crl_number(n) {}

## Member Function Documentation

## ◆ copy()

CRL_Number * Botan::Cert_Extension::CRL_Number::copy | ( |  | ) | const
| virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 525 of file x509_ext.cpp.

References Botan::Data_Store::add(), Botan::BER_Decoder::decode(), Botan::DER_Encoder::encode(), Botan::ENUMERATED, Botan::DER_Encoder::get_contents(), and Botan::UNIVERSAL.

526 {
527 if(!has_value)
528 throw Invalid_State("CRL_Number::copy: Not set");
529 return new CRL_Number(crl_number);
530 }
Botan::Cert_Extension::CRL_Number::CRL_Number
CRL_Number()
Definition: x509_ext.h:296

## ◆ get_crl_number()

size_t Botan::Cert_Extension::CRL_Number::get_crl_number | ( |  | ) | const

Definition at line 515 of file x509_ext.cpp.

516 {
517 if(!has_value)
518 throw Invalid_State("CRL_Number::get_crl_number: Not set");
519 return crl_number;
520 }

## ◆ oid_of()

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| inherited

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp